## s3d 0.2.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 project(s3d C)
 set(VERSION 0.2.1)
 
-# we require cmake 2.4.4 or higher
-cmake_minimum_required(VERSION 2.4.7)
+# we require cmake 2.6.3 or higher
+cmake_minimum_required(VERSION 2.6.3)
 
 # set cmake policies
 if(COMMAND cmake_policy)
