=== Documentation/manpages/CMakeLists.txt ===
install(FILES "dot_mcp.1" DESTINATION share/man/man1)
install(FILES "kism3d.1" DESTINATION share/man/man1)
install(FILES "meshs3d.1" DESTINATION share/man/man1)
install(FILES "s3dfm.1" DESTINATION share/man/man1)
install(FILES "s3d.1" DESTINATION share/man/man1)
install(FILES "s3dosm.1" DESTINATION share/man/man1)
install(FILES "s3dvt.1" DESTINATION share/man/man1)
install(FILES "s3d_x11gate.1" DESTINATION share/man/man1)
