=== apps/kism3d/CMakeLists.txt ===
--- 
+++ 
@@ -4,8 +4,8 @@
 	include_directories(${s3d_SOURCE_DIR}/libs3d ${s3d_SOURCE_DIR}/libs3dw)
 
 	add_executable(kism3d client.c gui.c kism3d.c network.c)
-	target_link_libraries(kism3d ${S3D_LIBRARIES} ${S3DW_LIBRARIES}
-		${PTHREADS_LIBRARIES} ${MATH_LIBRARIES})
+	target_link_libraries(kism3d s3d s3dw ${PTHREADS_LIBRARIES}
+	                      ${MATH_LIBRARIES})
 
 	# install
 	install(TARGETS kism3d RUNTIME DESTINATION bin)
