=== debian/changelog ===
s3d (0.2.1.1-5) unstable; urgency=low

  * Correct spelling errors found by lintian
  * debian/copyright: Update copyright years
  * Upgraded to policy 3.8.4, no changes required
  * debian/rules:
    - Enable parallel builds using dh's --parallel
    - Inform about missing installed files using dh's --list-missing
  * debian/patches:
    - Add s3dfm_overflow.patch, Fix potential buffer overflow when parsing
      directory
    - Add libs3d_small-infinity.patch, Don't accidently use INFINITY from math.h
    - Add s3dvt_glibc-pty.patch, Reimplement PTY/TTY mode using glibc

 -- Sven Eckelmann <sven.eckelmann@gmx.de>  Fri, 14 May 2010 11:46:52 +0200

s3d (0.2.1.1-4) unstable; urgency=low

  * Register HTML documentation in doc-base
  * debian/patches:
    - Add libgps_2_90.patch, Fix FTBFS with libgps-2.90 (Closes: #560077)

 -- Sven Eckelmann <sven.eckelmann@gmx.de>  Tue, 08 Dec 2009 21:34:58 +0100

s3d (0.2.1.1-3) unstable; urgency=low

  * Remove unused libraries added by pkg-config from libs3d and libs3dw
  * Convert to 3.0 (quilt) source format
  * debian/control:
    - Remove shlibs:Depends for binary packages without shared libs dependencies
    - Remove unneeded build dependency to quilt
    - Remove cdbs and change debhelper dependency to 7 for for dh support
  * Rewrote debian/rules with dh

 -- Sven Eckelmann <sven.eckelmann@gmx.de>  Mon, 16 Nov 2009 01:32:25 +0100

s3d (0.2.1.1-2) unstable; urgency=low

  * Upgraded to policy 3.8.3, no changes required
  * Add README.source with information about patch management
  * debian/patches:
    - Change to dep3 patch tagging guidelines
    - Remove number before patches as order is given by debian/patches/series
    - Add version_number.patch, Correct version number for soname and pkg-config
  * Remove Martin Stern from debian/copyright as his files were removed

 -- Sven Eckelmann <sven.eckelmann@gmx.de>  Thu, 15 Oct 2009 18:39:02 +0200

s3d (0.2.1.1-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    - Reduce debhelper dependency to 5
    - Only depend on xmlto and docbook-xml in Build-Depends-Indep for
      arch all package s3d-doc
  * debian/patches:
    - Add 100-installable-examples.patch, make example usable without
      extra headers
    - Remove upstream merged patches 100-hyphen-used-as-minus-sign.patch,
      101-fix-sigbus-on-mips.patch, 102-send-correct-load-over-net.patch,
      103-endian-safe-float.patch, 104-reduce-depends.patch,
      105-s3dfm-pathnames.patch, 106-g3dorientation.patch,
      107-fix-cmake-ftbfs.patch, 108-fix-gpsd-ftbfs.patch,
      109-strip-libs3d-parameters.patch, 110-s3dosm-api06.patch,
      111-xmlto-documentation.patch
  * Install examples with libs3d-dev and libs3dw-dev
  * Convert debian/copyright to new dep5 version
  * Upgraded to policy 3.8.2, no changes required
  * Install upstream changelogs

 -- Sven Eckelmann <sven.eckelmann@gmx.de>  Sat, 11 Jul 2009 17:00:52 +0200

s3d (0.2.1-14) unstable; urgency=low

  * Add function and structure manpages for libs3d2 and libs3dw
  * debian/patches:
    - Add 111-xmlto-documentation.patch, workaround for LP: #372243 by
      using xmlto instead of docbook-utils for documentation generation
  * debian/control:
    - Depend on xmlto as new tool to generate the html documentation
    - Update Depend on >=docbook-xml-4.5 for DocBook 4.5 DTDs

 -- Sven Eckelmann <sven.eckelmann@gmx.de>  Mon, 11 May 2009 23:05:11 +0200

s3d (0.2.1-13) unstable; urgency=low

  * debian/patches:
    - Add 109-strip-libs3d-parameters.patch, remove only libs3d options from
      program arguments without looking at the order of occurrence
    - Add 110-s3dosm-api06.patch, use API version 0.6 of Openstreetmaps.org
  * debian/control:
    - Depend on docbook-xml to disable DTD lookup by docbook2html on
      www.oasis-open.org (Closes LP: #368537)
    - Allow Debian Maintainers to upload new versions of s3d

 -- Sven Eckelmann <sven.eckelmann@gmx.de>  Tue, 28 Apr 2009 13:43:34 +0200

s3d (0.2.1-12) unstable; urgency=low

  * debian/patches/:
    - Update 104-reduce-depends.patch to apply without warnings
    - Add 108-fix-gpsd-ftbfs.patch to fix ftbfs with libgps-dev 2.39
      (Closes: #524088)

 -- Sven Eckelmann <sven.eckelmann@gmx.de>  Tue, 14 Apr 2009 23:04:41 +0200

s3d (0.2.1-11) unstable; urgency=low

  * debian/rules: Don't install TODO file with every package

 -- Sven Eckelmann <sven.eckelmann@gmx.de>  Wed, 18 Mar 2009 14:14:38 +0100

s3d (0.2.1-10) unstable; urgency=low

  * Rewrote debian/rules using cdbs
  * Move s3d-dbg to new section debug
  * Upgraded to policy 3.8.1, no changes required
  * Add 107-fix-cmake-ftbfs.patch to fix FTBFS with cmake 2.6.3
    (Closes: #520163)

 -- Sven Eckelmann <sven.eckelmann@gmx.de>  Tue, 17 Mar 2009 22:24:56 +0100

s3d (0.2.1-9) unstable; urgency=low

  * debian/rules: Use CFLAGS and LDFLAGS from dpkg-buildpackage
  * Update debian/watch to find .tar.gz
  * debian/control:
    - Correct short description of libs3dw2
    - Only depend on at least one binary package for s3d-dbg
  * Add 106-g3dorientation.patch, correct model orientation with libg3d-0.0.7
  * Update copyright years in debian/copyright

 -- Sven Eckelmann <sven.eckelmann@gmx.de>  Sun, 15 Feb 2009 13:29:04 +0100

s3d (0.2.1-8) unstable; urgency=low

  * Move VCS-Git repository to berlios in debian/control
  * Workaround for GCC bug with disappearing minimized dot_mcp programs in
    patches/103-endian-safe-float.patch
  * Add patch 105-s3dfm-pathnames to correct detection of filetypes in subpaths
    in s3dfm
  * Replace deprecated dh_clean -k with dh_prep in debian/rules

 -- Sven Eckelmann <sven.eckelmann@gmx.de>  Wed, 24 Dec 2008 20:58:35 +0100

s3d (0.2.1-7) unstable; urgency=low

  * Replace s3d@packages.debian.org maintainer with first Uploader in
    debian/control

 -- Sven Eckelmann <sven.eckelmann@gmx.de>  Thu, 11 Dec 2008 21:58:44 +0100

s3d (0.2.1-6) unstable; urgency=low


