=== debian/control ===
Source: s3d
Section: net
Priority: extra
Maintainer: Simon Wunderlich <siwu@hrz.tu-chemnitz.de>
Uploaders: Sven Eckelmann <sven.eckelmann@gmx.de>
Dm-Upload-Allowed: yes
Homepage: http://s3d.berlios.de/
Standards-Version: 3.8.4
Vcs-Browser: https://git.berlios.de/cgi-bin/gitweb.cgi?p=s3d
Vcs-Git: git://git.berlios.de/s3d
Build-Depends: debhelper (>= 7.4.10), cmake (>= 2.6.3), libfreetype6-dev,
 libfontconfig-dev, libglib2.0-dev, libg3d-dev (>= 0.0.7), libsdl-dev,
 libgl1-mesa-dev | libgl-dev, libxml2-dev, libsqlite3-dev, libxtst-dev,
 libgps-dev (>= 2.90)
Build-Depends-Indep: xmlto, docbook-xml (>= 4.5)

Package: s3d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: dotmcp (= ${binary:Version})
Description: 3d network display server
 s3d is a 3d network display server which can be used as 3d desktop environment.
 .
 This package provides the display server.

Package: s3d-dbg
Section: debug
Architecture: any
Depends: ${misc:Depends},
 libs3d2 (= ${binary:Version}) | libs3dw2 (= ${binary:Version}) |
 s3d (= ${binary:Version}) | s3dvt (= ${binary:Version}) |
 s3dfm (= ${binary:Version}) | dotmcp (= ${binary:Version}) |
 s3dx11gate (= ${binary:Version}) | meshs3d (= ${binary:Version}) |
 s3dosm (= ${binary:Version}) | kism3d (= ${binary:Version})
Description: 3d network display server (debug files)
 s3d is a 3d network display server which can be used as 3d desktop environment.
 .
 This package contains the debug files.

Package: libs3d2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: 3d network display server library
 s3d is a 3d network display server which can be used as 3d desktop environment.
 .
 This package provides the library for communication with the display server.

Package: libs3d-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libs3d2 (= ${binary:Version})
Recommends: s3d-doc (= ${source:Version})
Description: 3d network display server library - development files
 s3d is a 3d network display server which can be used as 3d desktop environment.
 .
 This package provides the header files for building your own s3d programs.

Package: libs3dw2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: 3d network display server widget library
 s3d is a 3d network display server which can be used as 3d desktop environment.
 .
 This package provides the widget library.

Package: libs3dw-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libs3dw2 (= ${binary:Version})
Recommends: s3d-doc (= ${source:Version})
Description: 3d network display server widget library - development files
 s3d is a 3d network display server which can be used as 3d desktop environment.
 .
 This package provides the header files for using widgets in your s3d programs.

Package: s3d-data
Architecture: all
Depends: ${misc:Depends}
Description: 3d network display server data files
 s3d is a 3d network display server which can be used as 3d desktop environment.
 .
 This package contains arch-independent files.

Package: s3d-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Documentation for s3d
 s3d is a 3d network display server which can be used as 3d desktop environment.
 .
 This package provides documentation for s3d.

Package: dotmcp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, s3d-data (= ${source:Version}),
 libg3d-plugins
Recommends: s3dvt (= ${binary:Version}), meshs3d (= ${binary:Version}),
 s3dx11gate (= ${binary:Version}), s3dfm (= ${binary:Version})
Description: mcp for s3d
 s3d is a 3d network display server which can be used as 3d desktop environment.
 .
 This package provides a mcp for s3d.

Package: kism3d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, s3d-data (= ${source:Version}),
 libg3d-plugins
Description: 802.11 visualizer for s3d
 s3d is a 3d network display server which can be used as 3d desktop environment.
 .
 This package provides a 802.11 visualizer for s3d.

Package: meshs3d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, s3d-data (= ${source:Version}),
 libg3d-plugins
Description: OLSR/B.A.T.M.A.N. topology visualizer for s3d
 s3d is a 3d network display server which can be used as 3d desktop environment.
 .
 This package provides a OLSR/B.A.T.M.A.N. topology visualizer for s3d.

Package: s3dfm
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: s3d file manager
 s3d is a 3d network display server which can be used as 3d desktop environment.
 .
 This package provides a file manager for s3d.

Package: s3dosm
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, s3d-data (= ${source:Version}),
 libg3d-plugins
Description: gps card application for s3d
 s3d is a 3d network display server which can be used as 3d desktop environment.
 .
 This package provides a gps card application for s3d.

Package: s3dvt
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, bash (>= 2.0)
Description: 3d terminal emulator for s3d
 s3d is a 3d network display server which can be used as 3d desktop environment.
 .
 This package provides a 3d terminal emulator for s3d.

Package: s3dx11gate
Section: x11
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: 3d gateway for x11 desktops
 s3d is a 3d network display server which can be used as 3d desktop environment.
 .
 This package provides a 3d gateway for x11 desktops.
